|  | ## Cheshire3 Object Model: Class PostgresIndex

Module postgres :: Class PostgresIndex

## Class PostgresIndex
source code

Object Tree:

               object --+
                        |
    configParser.C3Object --+
                            |
            baseObjects.Index --+
                                |
                index.SimpleIndex --+
                                    |
                                   PostgresIndex

Instance Methods

construct_resultSet(self, session, terms, queryHash={})
Inherited from `index.SimpleIndex`: `__init__`, `begin_indexing`, `commit_indexing`, `construct_item`, `delete_record`, `deserialise_terms`, `extract_data`, `index_record`, `merge_terms`, `scan`, `search`, `serialise_terms`, `store_terms` Inherited from `index.SimpleIndex` (private): `_handleConfigNode`, `_mergeHash`, `_processChain`, `_processRecord` Inherited from `baseObjects.Index`: `sort` Inherited from `configParser.C3Object`: `auth_function`, `get_config`, `get_default`, `get_object`, `get_path`, `get_setting`, `log_function`, `unauth_function`, `unlog_function` Inherited from `configParser.C3Object` (private): `_getDomFromFile`, `_parseIncludes`, `_recurseSubConfigs`, `_verifyDefault`, `_verifyOption`, `_verifySetting` Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Class Variables

Inherited from `index.SimpleIndex`: `currentFullPath`, `currentPath`, `debug`, `indexingData`, `indexingTerm`, `sources`, `storeOrig`, `xPathAllAbsolute`, `xPathAttributesRequired`, `xPathsNormalized` Inherited from `baseObjects.Index`: `indexStore` Inherited from `configParser.C3Object`: `configStore`, `defaults`, `functionLogger`, `id`, `name`, `objectType`, `objects`, `parent`, `paths`, `permissionHandlers`, `settings`, `subConfigs`, `unresolvedObjects` Inherited from `configParser.C3Object` (private): `_includeConfigStores`, `_objectRefs` Inherited from `object`: `__class__`

Method Details

### construct_resultSet(self, session, terms, queryHash={}) | source code
Overrides: index.SimpleIndex.construct_resultSet